LFR-FSW - Bug #3898

E1 et E2 semblent intervertis dans FSW 3.3.0.1
18/11/2021 09:44 AM - bruno katra

Status: Closed Start date: 18/11/2021
Priority: High Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: r0

Description

Test fait sur EM1 avec FSW 3.3.0.1:

On injecte un signal uniquement sur E1 :
Résultat attendu : avec les nouvelles matrices de calibration/chgt de repere on devrait observé du signal sur les ASM E1 ET E2
Résultat observé : on ne voit du signale que sur E2, rien sur E1

On injecte un signal uniquement sur E2 :
Résultat attendu : avec les nouvelles matrices de calibration/chgt de repére on devrait observé du signal sur les ASM E1 uniquement
Résultat observé : on voit du signal sur E2 ET E1

On dirait que les canaux E1 et E2 sont intervertis dans le traitement du FSW.
On a fait le test avec 3.2.0.24 et on voit bien E1 et E2 réagir comme attendu.

A confirmer avec des matrices unitaires.

History

#1 - 24/11/2021 02:59 PM - bruno katra

- Assignee set to bruno katra

#2 - 29/11/2021 04:43 PM - bruno katra

Test fait avec matrices unitaires pour retrouver le comportement de FSW 3.2.0.24.

Il'y a toujours un truc qui ne va pas,on dirait que l'injection exclusive sur E1 ou E2 produit du signal sur E1 ET E2.

Mais il faut d'abord que je puisse faire un KCOEFF_DUMP pour étre sir que mes matrices unitaires sont bien prises en comptes. Attente résolution
#3908 .

#3 - 02/03/2022 05:35 PM - bruno katra

- Assignee changed from bruno katra to thomas chust

Test refait en 3.3.0.7 avec une sinusoide 3Khz :

AVEC MATRICES UNITAIRES KCOEFF : méme comportement qu'en 3.2.0.24 = comportement attendu ==> quand on injecte sur E1 on ne voit le
signal qu'en E1, quand on injecte sur E2 on ne voit du signal que sur E2

AVEC KCOEFF par défaut : je confirme qu'on observe l'inverse de ce qui est attendu :

On injecte un signal uniquement sur E1 :
Résultat attendu : avec les nouvelles matrices de calibration/chgt de repére on devrait observé du signal sur les ASM E1 ET E2
Résultat observé : on ne voit du signale que sur E2, rien sur E1

On injecte un signal uniquement sur E2 :
Résultat attendu : avec les nouvelles matrices de calibration/chgt de repere on devrait observé du signal sur les ASM E1 uniquement
Résultat observé : on voit du signal sur E2 ET E1

CONCLUSION :
Il semble que le probléme viennent des valeurs des KCOEFF par défaut car avec les matrices unitaires il n'y a pas d'inversion entre E1 et E2.

Il faudrait revalider que les KCOEFF par défaut sont bien ceux qui sont censés produire le comportement attendu.
Je réattribue a Thomas.

#4 - 02/03/2022 05:43 PM - thomas chust
https://hephaistos.lpp.polytechnique.fr/redmine/issues/3908

- Assignee changed from thomas chust to bruno katra

Bruno, est ce que tu peux télécharger ici le fichier des kcoeffients que tu as utilisés ?

#5 - 02/03/2022 06:13 PM - bruno katra

thomas chust wrote in #note-4:

Bruno, est ce que tu peux télécharger ici le fichier des kcoeffients que tu as utilisés ?

Je n'ai pas utilisé de fichier pour charger les KCOEFF, j'ai juste démarrer LFR avec ses KCOEFF par défaut. Voici le code d'Alexis qui charge les
KCOEFF (matrices clés+matrices interpolées) :

https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/blame/R3.3/src/processing/calibration_matrices.c

Je vais voir si j'ai fait un dump et je te I'envoie histoire que tu n'aies que les matrices clés (36*32)

#6 - 02/03/2022 06:14 PM - bruno katra

- Assignee changed from bruno katra to thomas chust

#7 - 02/03/2022 06:19 PM - bruno katra

bruno katra wrote in #note-5:

thomas chust wrote in #note-4:

Bruno, est ce que tu peux télécharger ici le fichier des kcoeffients que tu as utilisés ?
Je n'ai pas utilisé de fichier pour charger les KCOEFF, j'ai juste démarrer LFR avec ses KCOEFF par défaut. Voici le code d'Alexis qui charge
les KCOEFF (matrices clés+matrices interpolées) :

https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/blame/R3.3/src/processing/calibration_matrices.c

Je vais voir si j'ai fait un dump et je te I'envoie histoire que tu n'aies que les matrices clés (36*32)

Voici les valeurs renvoyées par le KCOEFF_DUMP:

1. SOURCE DATA BEGIN - Offset in the file (byte pos): 425 #####
TIME :
Sync bit : 0
Raw Integer : 45771155832893
Seconds : 698412412.0009307861328125
PACKET NUMBER : 1/2
NUMBER OF BLOCKS : 26(*26)
FO/F1:2704
0.3180653154850006 0.3453335464000702 -0.3390720486640930 -0.3577615618705750 0.2429846525192261 0.2844356298446655
-0.3640000522136688 -0.4000261723995209 0.0060958187095821 0.0027480991557240 0.3638669550418854 0.3424604237079620
-0.2138512283563614 -0.2489643543958664 -0.4372949898242950 -0.4871321022510529 -0.1859544366598129 -0.23094666004 18091
0.0000000000000000 -0.0000000000000000 -0.0191338136792183 -0.0295062679797411 -0.0191338136792183 -0.0295062679797411
-0.0095669068396091 -0.0147531339898705 0.0884606093168259 0.4641381204128265 -0.1003847122192383 -0.4843699038028717
0.0332735814154148 0.3772868216037750 -0.0978602468967438 -0.5364344716072083 0.0042352173477411 0.0045839548110962
0.1202574446797371 0.4783393442630768 -0.0505882725119591 -0.3293622732162476 -0.1163266003131866 -0.6506716609001160
-0.0168352704495192 -0.3026422858238220 0.0000000000000000 -0.0000000000000000 -0.0033049362245947 -0.0356956273317337
-0.0033049362245947 -0.0356956273317337 -0.0016524681122974 -0.0178478136658669 -0.1608919501304626 0.4530129730701447
0.1590323150157928 -0.4761327207088470 -0.1854143142700195 0.3465936481952667 0.1902700215578079 -0.5225024223327637
0.0019864640198648 0.0053700832650065 -0.1409928798675537 0.4738799929618835 0.1259997189044952 -0.3174261152744293
0.2315185070037842 -0.6330021023750305 0.1587725132703781 -0.2743632495403290 0.0000000000000000 0.0000000000000000
0.0142148416489363 -0.0338948182761669 0.0142148416489363 -0.0338948182761669 0.0071074208244681 -0.0169474091380835
-0.3742501139640808 0.3182589113712311 0.3831603527069092 -0.3396711349487305 -0.3593560755252838 0.2031785845756531
0.4366676211357117 -0.3653389215469360 -0.0001738106802804 0.0051443586125970 -0.3634571731090546 0.3405182063579559
0.2756788134574890 -0.2175275236368179 0.5288695693016052 -0.4429742395877838 0.2973286509513855 -0.1550492495298386
0.0000000000000000 0.0000000000000000 0.0293973367661238 -0.0238465163856745 0.0293973367661238 -0.0238465163856745
0.0146986683830619 -0.0119232581928372 -0.4958363473415375 0.0869212821125984 0.5136181116104126 -0.1013404130935669
-0.4354504346847534 -0.0217014532536268 0.5763961076736450 -0.0958176255226135 -0.0023459207732230 0.0042439149692655
-0.4902311861515045 0.1074235811829567 0.3581809997558594 -0.0495487377047539 0.6978387832641602 -0.1177897602319717
0.3550299406051636 0.0297111626714468 0.0000000000000000 0.0000000000000000 0.0383872762322426 -0.0074076275341213
0.0383872762322426 -0.0074076275341213 0.0191936381161213 -0.0037038137670606 -0.4797067046165466 -0.1892394870519638
0.5029267668724060 0.1857729256153107 -0.3747006952762604 -0.2701745629310608 0.5562516450881958 0.2246827781200409
-0.0034650836605579 0.0028953787405044 -0.4764995574951172 -0.1687632948160172 0.3412960469722748 0.1486589312553406
0.6740128397941589 0.2692429125308990 0.3002969622612000 0.2318176031112671 0.0000000000000000 0.0000000000000000
0.0386093668639660 0.0119748078286648 0.0386093668639660 0.0119748078286648 0.0193046834319830 0.0059874039143324
-0.3053428828716278 -0.4313060045242310 0.3276404738426208 0.4406232833862305 -0.1667344570159912 -0.4602283835411072
0.3519467115402222 0.5047768354415894 -0.0040727439336479 0.0008820746443234 -0.3041498064994812 -0.4069516360759735
0.2105891555547714 0.3196682631969452 0.4283555150032043 0.6082193851470947 0.1255031228065491 0.3837279677391052
0.0000000000000000 0.0000000000000000 0.0289556328207254 0.0301224999129772 0.0289556328207254 0.0301224999129772
0.0144778164103627 0.0150612499564886 0.0034327504690737 -0.5410265326499939 0.0091085461899638 0.5613179802894592
0.1479937881231308 -0.4962404966354370 -0.0085692824795842 0.6304562687873840 -0.0038434218149632 -0.0012626346433535
-0.0031770179048181 -0.5099240541458130 -0.0151108046993613 0.3926969766616821 -0.0058743297122419 0.7616792917251587
-0.1350036412477493 0.4072823226451874 0.0000000000000000 0.0000000000000000 0.0093106832355261 0.0421159453690052
0.0093106832355261 0.0421159453690052 0.0046553416177630 0.0210579726845026 0.3529808521270752 -0.4257017672061920
-0.3560953140258789 0.4505406618118286 0.4554814100265503 -0.3020445704460144 -0.4153974950313568 0.4941359758377075
-0.0025521537754685 -0.0027202675119042 0.3276670575141907 -0.3923076689243317 -0.2662488818168640 0.3018947243690491
-0.4968774616718292 0.5993867516517639 -0.3857950270175934 0.2399478256702423 0.0000000000000000 0.0000000000000000
-0.0186736602336168 0.0403586328029633 -0.0186736602336168 0.0403586328029633 -0.0093368301168084 0.0201793164014816
0.5626494884490967 -0.0576535873115063 -0.5830525755882263 0.0738349929451942 0.5654097795486450 0.1127428039908409
-0.6579102277755737 0.0632651522755623 -0.0001665414747549 -0.0036384444683790 0.5117495059967041 -0.0405524410307407
-0.4111036658287048 0.0302779376506805 -0.7921506166458130 0.0825329720973969 -0.4688126742839813 -0.1072560846805573
0.0000000000000000 0.0000000000000000 -0.0440274737775326 0.0130230206996202 -0.0440274737775326 0.0130230206996202
-0.0220137368887663 0.0065115103498101 0.4001308977603912 0.4367430508136749 -0.4270294904708862 -0.4440872073173523
0.2649756371974945 0.5619606971740723 -0.4650303125381470 -0.5136699080467224 0.0022742566652596 -0.0027354918420315
0.3390749990940094 0.4049763679504395 -0.2832287549972534 -0.3268171846866608 -0.5650709271430969 -0.6130631566047668
-0.2088129967451096 -0.4764827787876129 0.0000000000000000 -0.0000000000000000 -0.0327695421874523 -0.0358023233711720
-0.0327695421874523 -0.0358023233711720 -0.0163847710937262 -0.0179011616855860 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.3779821395874023 -1.8107693195343018 -0.4156954288482666 1.9394935369491577 0.3114297091960907 -1.9989013671875000
-0.4338084161281586 2.0722119808197021 0.0030691660940647 -0.0316247902810574 0.4118801951408386 -2.6899745464324951
-0.2672249972820282 1.1888186931610107 -0.5564168691635132 2.4431056976318359 -0.2518888711929321 1.5370897054672241
0.0000000000000000 -0.0000000000000000 -0.0357095189392567 -0.0006472820532508 -0.0357095189392567 -0.0006472820532508
-0.0178547594696283 -0.0003236410266254 0.6578230261802673 -0.5871940255165100 -0.6999883055686951 0.6323016285896301
0.6075291633605957 -0.6739278435707092 -0.7568212151527405 0.6718910336494446 0.0094096427783370 -0.0119416136294603
0.8118813037872314 -0.9127628803253174 -0.4494423568248749 0.3791524767875671 -0.9121406078338623 0.7868161797523499
-0.4758632183074951 0.5141760110855103 0.0000000000000000 -0.0000000000000000 -0.0341706760227680 -0.0099167814478278
-0.0341706760227680 -0.0099167814478278 -0.0170853380113840 -0.0049583907239139 0.6381300687789917 -0.1771133840084076
-0.6776729822158813 0.1964246332645416 0.5871027708053589 -0.2420660406351089 -0.7338181734085083 0.2016036808490753
0.0087196901440620 -0.0046900585293770 0.7891011834144592 -0.3400826156139374 -0.4341859221458435 0.1049292907118797
-0.8798365592956543 0.2286682724952698 -0.4584174454212189 0.1811532527208328 0.0000000000000000 -0.0000000000000000
-0.0312737375497818 -0.0169319007545710 -0.0312737375497818 -0.0169319007545710 -0.0156368687748909 -0.0084659503772855
0.5751751065254211 0.0590863786637783 -0.6107623577117920 -0.0552772544324398 0.5225284695625305 -0.0039965640753508
-0.6604046225547791 -0.0702141597867012 0.0083831939846277 -0.0006838994449936 0.7087349295616150 -0.0230024699121714
-0.3894508481025696 -0.0536872930824757 -0.7899463772773743 -0.0940923914313316 -0.4067988693714142 -0.0041893213056028
0.0000000000000000 -0.0000000000000000 -0.0270321890711784 -0.0231123995035887 -0.0270321890711784 -0.0231123995035887
-0.0135160945355892 -0.0115561997517943 0.4889840185642242 0.2243831306695938 -0.5194772481918335 -0.2301333248615265
0.4392656981945038 0.1550453156232834 -0.5602273941040039 -0.2599610388278961 0.0079208696261048 0.0021895926911384
0.6023725271224976 0.1896296441555023 -0.3288753032684326 -0.1647534817457199 -0.6689485311508179 -0.3204350173473358
-0.3401302397251129 -0.1276812106370926 0.0000000000000000 -0.0000000000000000 -0.0214344579726458 -0.0283944774419069
-0.0214344579726458 -0.0283944774419069 -0.0107172289863229 -0.0141972387209535 0.3818088173866272 0.3460218310356140
-0.4076600670814514 -0.3600313663482666 0.3415717780590057 0.2676531970500946 -0.4372704625129700 -0.3993516862392426
0.0067414240911603 0.0037946088705212 0.4787755310535431 0.3419767916202545 -0.2540512084960938 -0.2468367666006088
-0.5203886032104492 -0.4864783287048340 -0.2624012529850006 -0.2150297909975052 0.0000000000000000 -0.0000000000000000
-0.0145076988264918 -0.0324988514184952 -0.0145076988264918 -0.0324988514184952 -0.0072538494132459 -0.0162494257092476
0.2561372518539429 0.4315723776817322 -0.2757669687271118 -0.4511287212371826 0.2300027459859848 0.3445613384246826
-0.2923446595668793 -0.4971994757652283 0.0051348898559809 0.0054061771370471 0.3364515900611877 0.4493200182914734
-0.1665741354227066 -0.3035480976104736 -0.3458806574344635 -0.6027691960334778 -0.1739879697561264 -0.2745342552661896
0.0000000000000000 -0.0000000000000000 -0.0063744084909558 -0.0350294783711433 -0.0063744084909558 -0.0350294783711433
-0.0031872042454779 -0.0175147391855717 0.1138718649744987 0.4798848628997803 -0.1263968646526337 -0.5036937594413757
0.1061250492930412 0.3876222372055054 -0.1282506585121155 -0.5522545576095581 0.0032830629497766 0.0062174666672945
0.1765433698892593 0.5144841670989990 -0.0673765763640404 -0.3345450758934021 -0.1481143087148666 -0.6678677201271057
-0.0759845525026321 -0.3066608011722565 0.0000000000000000 0.0000000000000000 0.0027263157535344 -0.0355174168944359
0.0027263157535344 -0.0355174168944359 0.0013631578767672 -0.0177587084472179 -0.0411749854683876 0.4859783053398132
0.0365643426775932 -0.5117612481117249 -0.0261559579521418 0.3929085433483124 0.0500669404864311 -0.5584632158279419
0.0014968970790505 0.0070077590644360 0.0033475209493190 0.5316185951232910 0.0399944223463535 -0.3359200656414032
0.0666262358427048 -0.6740346550941467 0.0283715575933456 -0.3085862994194031 0.0000000000000000 0.0000000000000000
0.0123781766742468 -0.0334270000457764 0.0123781766742468 -0.0334270000457764 0.0061890883371234 -0.0167135000228882
-0.2004600465297699 0.4403662383556366 0.2045155614614487 -0.4658020138740540 -0.1599949449300766 0.3538196682929993
0.2335242033004761 -0.5054010152816772 -0.0008502072305419 0.0069806636311114 -0.1759497225284576 0.4928738176822662
0.1495294123888016 -0.3012297749519348 0.2873098552227020 -0.6083394885063171 0.1333177089691162 -0.2756818532943726
0.0000000000000000 0.0000000000000000 0.0219305977225304 -0.0281435325741768 0.0219305977225304 -0.0281435325741768
0.0109652988612652 -0.0140717662870884 -0.3484489023685455 0.3318970203399658 0.3611481189727783 -0.3536561727523804
-0.2815695703029633 0.2621601819992065 0.4029224514961243 -0.3796400427818298 -0.0029273671098053 0.0061812689527869
-0.3448433578014374 0.3852457404136658 0.2505168616771698 -0.2228409945964813 0.4910866022109985 -0.4555273354053497
0.2280995398759842 -0.2010352760553360 0.0000000000000000 0.0000000000000000 0.0302942134439945 -0.0189379081130028
0.0302942134439945 -0.0189379081130028 0.0151471067219973 -0.0094689540565014 -0.4554955065250397 0.1500820070505142
0.4762994647026062 -0.1642367094755173 -0.3662382364273071 0.1105776652693748 0.5255401134490967 -0.1695671528577805
-0.0051902937702835 0.0042130742222071 -0.4734437465667725 0.1964737027883530 0.3213206231594086 -0.0937464162707329
0.6372272372245789 -0.2007540166378021 0.2921602725982666 -0.0795107856392860 0.0000000000000000 0.0000000000000000
0.0354403406381607 -0.0050392579287291 0.0354403406381607 -0.0050392579287291 0.0177201703190804 -0.0025196289643645
-0.4686753451824188 -0.1073162853717804 0.4936150312423706 0.1056391671299934 -0.3699898719787598 -0.0993955209851265
0.5391537547111511 0.1268848180770874 -0.0067397719249129 0.0012114566052333 -0.5056867599487305 -0.0783518403768539
0.3248361349105835 0.0863230302929878 0.6515166759490967 0.1579710245132446 0.2908395528793335 0.0872722938656807
0.0000000000000000 0.0000000000000000 0.0333357155323029 0.0136603573337197 0.0333357155323029 0.0136603573337197
0.0166678577661514 0.0068301786668599 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000

2. SOURCE DATA BEGIN - Offset in the file (byte pos): 3149 ###i#
TIME :
Sync bit : 0
Raw Integer : 45771155832912
Seconds : 698412412.0012207031250000
PACKET NUMBER : 2/2
NUMBER OF BLOCKS : 13(*26)
F2:1352
-70.1193695068359375 -38.7430953979492188 70.8770523071289062 40.8102035522460938 -73.0251007080078125
-41.5923995971679688 80.2652130126953125 44.2486648559570312 -1.1798393726348877 -0.8287740349769592
-97.8426589965820312 -55.9562187194824219 46.0580062866210938 25.4956188201904297 89.1185531616210938
51.4343032836914062 55.9840698242187500 31.9725418090820312 0.0000000000000000 0.0000000000000000 -0.0229332838207483
0.0570702478289604 -0.0229332838207483 0.0570702478289604 -0.0114666419103742 0.0285351239144802 -10.6789693832397461
-17.0495891571044922 10.5436592102050781 17.9506950378417969 -11.1140241622924805 -18.4412536621093750
12.1601152420043945 19.5403995513916016 -0.1470945924520493 -0.3115760385990143 -14.8902435302734375
-24.6172561645507812 7.0009126663208008 11.2105960845947266 13.2545051574707031 22.6507720947265625 8.5056428909301758
14.1759185791015625 0.0000000000000000 0.0000000000000000 -0.0386801697313786 0.0153001975268126 -0.0386801697313786
0.0153001975268126 -0.0193400848656893 0.0076500987634063 -1.3063389062881470 -10.1758337020874023 1.0906170606613159
10.7099790573120117 -1.2930043935775757 -11.0032367706298828 1.5020495653152466 11.6350975036621094 -0.0156688801944256
-0.1750846505165100 -1.7207955121994019 -14.7252407073974609 0.8290832042694092 6.6771631240844727 1.3075091838836670
13.4835281372070312 0.9953848123550415 8.4362306594848633 0.0000000000000000 -0.0000000000000000 -0.0382080897688866
-0.0024012720678002 -0.0382080897688866 -0.0024012720678002 -0.0191040448844433 -0.0012006360339001 1.6391038894653320
-6.5437498092651367 -1.9023715257644653 6.8837361335754395 1.8092918395996094 -7.1579198837280273 -1.8988707065582275
7.4892344474792480 0.0244157537817955 -0.1124620586633682 2.4041109085083008 -9.5521430969238281 -1.0847936868667603
4.3124728202819824 -2.4496800899505615 8.6368522644042969 -1.4023238420486450 5.4749283790588379 0.0000000000000000
-0.0000000000000000 -0.0343978665769100 -0.0142267644405365 -0.0343978665769100 -0.0142267644405365 -0.0171989332884550
-0.0071133822202682 2.7791497707366943 -4.2075390815734863 -3.0444402694702148 4.3879518508911133 3.0207562446594238
-4.6043677330017090 -3.1798651218414307 4.7786407470703125 0.0414327643811703 -0.0747209265828133 4.0588269233703613
-6.1873869895935059 -1.8434808254241943 2.7505381107330322 -3.8722870349884033 5.5115370750427246 -2.3339366912841797
3.5234787464141846 0.0000000000000000 -0.0000000000000000 -0.0285874344408512 -0.0231880582869053 -0.0285874344408512
-0.0231880582869053 -0.0142937172204256 -0.0115940291434526 3.1795892715454102 -2.4902741909027100 -3.4438817501068115
2.5895791053771973 3.4790811538696289 -2.7777392864227295 -3.6498420238494873 2.8490312099456787 0.0732424110174179
-0.0398286096751690 4.6421828269958496 -3.7095673084259033 -2.1164176464080811 1.6113597154617310 -4.3728399276733398
3.2315425872802734 -2.6613414287567139 2.1137464046478271 0.0000000000000000 -0.0000000000000000 -0.0210983436554670
-0.0299843195825815 -0.0210983436554670 -0.0299843195825815 -0.0105491718277335 -0.0149921597912908 3.2062432765960693
-1.1408716440200806 -3.4431324005126953 1.1623620986938477 3.4911317825317383 -1.3175388574600220 -3.6656262874603271
1.2962021827697754 0.0549750104546547 -0.0260870438069105 4.6960163116455078 -1.7938580513000488 -2.1116874217987061
0.7317897081375122 -4.3412489891052246 1.4354625940322876 -2.6950197219848633 1.0083845853805542 0.0000000000000000
-0.0000000000000000 -0.0121068069711328 -0.0346142686903477 -0.0121068069711328 -0.0346142686903477 -0.0060534034855664
-0.0173071343451738 2.9459612369537354 -0.0575474128127098 -3.1495816707611084 0.0199945569038391 3.2342267036437988
-0.1399775445461273 -3.3721046447753906 0.0568381771445274 0.0492082312703133 -0.0058834273368120 4.3393063545227051
-0.1994387209415436 -1.9354351758956909 0.0157158523797989 -3.9708483219146729 -0.0212093982845545 -2.4885976314544678
0.0980808138847351 0.0000000000000000 -0.0000000000000000 -0.0018351488979533 -0.0367505103349686 -0.0018351488979533
-0.0367505103349686 -0.0009175744489767 -0.0183752551674843 2.4787814617156982 0.8335415124893188 -2.6398603916168213
-0.9176934957504272 2.7480604648590088 0.8206546902656555 -2.8318040370941162 -0.9524770975112915 0.0415889881551266
0.0141725679859519 3.6955189704895020 1.0963623523712158 -1.6246136426925659 -0.5662680864334106 -3.3225598335266113
-1.1934748888015747 -2.1089372634887695 -0.6437457203865051 0.0000000000000000 0.0000000000000000 0.0093361148610711
-0.0358373783528805 0.0093361148610711 -0.0358373783528805 0.0046680574305356 -0.0179186891764402 1.8219972848892212
1.5032500028610229 -1.9344339370727539 -1.6310851573944092 2.0585632324218750 1.5710117816925049 -2.0797083377838135
-1.7264109849929810 0.0290720220655203 0.0240135472267866 2.7684895992279053 2.0990819931030273 -1.1850956678390503
-1.0024657249450684 -2.4167039394378662 -2.0820834636688232 -1.5749046802520752 -1.2183187007904053 0.0000000000000000
0.0000000000000000 0.0207227244973183 -0.0311013013124466 0.0207227244973183 -0.0311013013124466 0.0103613622486591
-0.0155506506562233 0.9864932298660278 1.9236102104187012 -1.0405890941619873 -2.0684363842010498 1.1737391948699951
2.0537650585174561 -1.1237753629684448 -2.2071614265441895 0.0174901187419891 0.0313229225575924 1.5811090469360352
2.7581198215484619 -0.6303035020828247 -1.2738037109375000 -1.2832680940628052 -2.6306202411651611 -0.8921534419059753
-1.5878547430038452 0.0000000000000000 0.0000000000000000 0.0310022141784430 -0.0215912647545338 0.0310022141784430
-0.0215912647545338 0.0155011070892215 -0.0107956323772669 0.0065772607922554 2.0008020401000977 0.0043184482492507
-2.1459937095642090 0.1176283955574036 2.1857941150665283 -0.0060496237128973 -2.2895896434783936 0.0043083936907351
0.0344482883810997 0.1663561016321182 2.9396054744720459 0.0152988638728857 -1.3186047077178955 0.0404128618538380
-2.7103497982025146 -0.0782790258526802 -1.6824736595153809 0.0000000000000000 0.0000000000000000 0.0376612320542336
-0.0064111603423953 0.0376612320542336 -0.0064111603423953 0.0188306160271168 -0.0032055801711977 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000 0.0000000000000000
0.0000000000000000

#8 - 03/03/2022 03:42 PM - thomas chust

mea kulpa, je me suis trompé sur ce qu'on attendait!

On injecte un signal uniquement sur E1 (donc le champ électric est perpendiculaire @ ANT23, donc // & Z car cette antenne est//aY):

Résultat attendu : avec les nouvelles matrices de calibration/chgt de repére de [ANT12, ANT23] vers [Y, Z] on devrait observé du signal que sur les
ASME2 (//a 2)

Résultat observé : on ne voit du signale que sur E2, rien sur E1 => OK

On injecte un signal uniquement sur E2 (donc le champ électric est perpendiculaire a ANT12, donc en biais par rapporta Y et Z) :

Résultat attendu : avec les nouvelles matrices de calibration/chgt de repére de [ANT12, ANT23] vers [Y, Z] on devrait observé du signal sur les ASM
E1etE2

Résultat observé : on voit du signal sur E2 ET E1 = OK

Conclusion du moment: nous n'avons en premiéere analyse aucune contradiction smile.png

Bruno, tu peux comme on a dit faire la mesure avec une sinusoide pour les deux config de base envisagées (matrices unitaires et matrices par
défault) et m'envoyer les fichiers ASM (et BP2 et BP1 dans la foulée) ...

#9 - 03/03/2022 03:43 PM - thomas chust

- Assignee changed from thomas chust to bruno katra

#10 - 03/03/2022 03:49 PM - bruno katra

- Status changed from In Progress to Closed

thomas chust wrote in #note-8:

mea kulpa, je me suis trompé sur ce qu'on attendait!

On injecte un signal uniquement sur E1 (donc le champ électric est perpendiculaire a ANT23, donc // a Z car cette antenne est//aY) :

Résultat attendu : avec les nouvelles matrices de calibration/chgt de repére de [ANT12, ANT23] vers [Y, Z] on devrait observé du signal que sur
les ASM E2 (// a Z)

Résultat observé : on ne voit du signale que sur E2, rien sur E1 => OK

On injecte un signal uniquement sur E2 (donc le champ électric est perpendiculaire a ANT12, donc en biais par rapport a Y et Z) :

Résultat attendu : avec les nouvelles matrices de calibration/chgt de repéere de [ANT12, ANT23] vers [Y, Z] on devrait observé du signal sur les
ASM E1 et E2

Résultat observé : on voit du signal sur E2 ET E1 = OK

Conclusion du moment: nous n'avons en premiére analyse aucune contradiction smile.png

Bruno, tu peux comme on a dit faire la mesure avec une sinusoide pour les deux config de base envisagées (matrices unitaires et matrices par

défault) et m'envoyer les fichiers ASM (et BP2 et BP1 dans la foulée) ...

Ok super ! Merci. Je cloture. Je fais les jeux de tests demandés dés demain. J'ai vérifié hier : je peux te faire un jeu avec le méme signal injecté sur
E1, E2, B1, B2 et B3 en méme temps .
